[lsb-discuss] libjpeg API issues

Johannes Meixner jsmeix at suse.de
Fri May 3 10:41:21 UTC 2013


Hello,

On May 2 18:59 Mats Wichmann wrote:
> On 05/01/2013 05:17 PM, Russ Allbery wrote:
>>
>> As near as I can tell, SUSE is also using libjpeg-turbo.  See, for
>> example:
>>
>>     https://bugzilla.novell.com/show_bug.cgi?id=807183
>>
>> Am I missing something?
>
> okay, the bug indicates people in the opensuse team are missing
> something.  It would be really useful if someone from LSB would update
> with information.  There seems to be an impression that the somewhat
> artificial split between lsb "core" and "desktop" means you can leave
> out parts required by the "desktop" part, which is not the case
> currently (we've talked about that, but it's an
>
> and yes, at last check, the libjpeg-turbo pkg doesn't include any
> library. which is an issue for "LSB compliance'.

Mats,
I got an empty line in your post but I would like to know
the missing text.


Regarding the general issue LSB "core" versus other LSB functional
areas like "desktop" I filed

https://bugzilla.novell.com/show_bug.cgi?id=807747

see in particular

https://bugzilla.novell.com/show_bug.cgi?id=807747#c3

I did not find really explicit documentation regarding the question
if a RPM requirement for "lsb >= 3.2" is a requirement for "all
LSB functional areas" or only a requirement for "LSB core".

I would appreciate it if you could show me appropriate documentation
or describe it more explicitly in the existing documentation.


Kind Regards
Johannes Meixner
-- 
SUSE LINUX Products GmbH -- Maxfeldstrasse 5 -- 90409 Nuernberg -- Germany
HRB 16746 (AG Nuernberg) GF: Jeff Hawn, Jennifer Guild, Felix Imendoerffer


More information about the lsb-discuss mailing list